classification
Title: TestCase.assertMultiLineEqual only registered for Unicode strings in 2.7
Type: behavior Stage: resolved
Components: Documentation, Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, Sourav Singh, adityahase, docs@python, ezio.melotti, martin.panter, serhiy.storchaka
Priority: normal Keywords: easy

Created on 2017-05-08 08:50 by martin.panter, last changed 2017-07-25 21:33 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2846 closed adityahase, 2017-07-24 16:32
PR 2847 merged adityahase, 2017-07-24 17:10
Messages (9)
msg293229 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2017-05-08 08:50
In Mercurial revision 6e5b5d1b6714, the documentation for “assertMultiLineEqual” was changed from

This method is used by default when comparing Unicode strings with “assertEqual”.

to

This method is used by default when comparing strings with “assertEqual”. 

The new text is misleading because “str” objects are also strings, but the default does not apply to “str” objects.
msg294387 - (view) Author: Sourav Singh (Sourav Singh) Date: 2017-05-24 20:04
@Martin I would like to take a stab at the issue. How do I start?
msg294576 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2017-05-27 02:51
I think the simplest way forward would be to add the word “Unicode” back in. You could look at making a Git Hub pull request for this if you want. Hopefully somebody else can merge it though, because I probably won’t be in a position to do so for a while.
msg298991 - (view) Author: Aditya Hase (adityahase) * Date: 2017-07-24 16:36
Hi, I'm new to python development community.
I've created a GitHub PR that fixes this issue.
msg298993 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-24 17:02
This is related only to 2.7. All correct in 3.x.
msg298995 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-07-24 17:07
Thanks Serhiy.

Aditya, your PR was made against the master branch. Can you make the change against the 2.7 branch?

Thanks.
msg298998 - (view) Author: Aditya Hase (adityahase) * Date: 2017-07-24 17:16
I've fixed that.
msg299137 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-07-25 21:00
New changeset 0666d0e50432e3b0109db96b8e48fb6c496bd49c by Mariatta (Aditya Hase) in branch '2.7':
bpo-30304: Improve TestCase.assertMultiLineEqual docs (GH-2847)
https://github.com/python/cpython/commit/0666d0e50432e3b0109db96b8e48fb6c496bd49c
msg299146 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-07-25 21:33
Thanks!
History
Date User Action Args
2017-07-25 21:33:05Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg299146

stage: patch review -> resolved
2017-07-25 21:00:03Mariattasetmessages: + msg299137
2017-07-24 17:32:23serhiy.storchakasetversions: - Python 3.5, Python 3.6, Python 3.7
2017-07-24 17:16:47adityahasesetmessages: + msg298998
versions: + Python 3.5, Python 3.6, Python 3.7
2017-07-24 17:10:02adityahasesetpull_requests: + pull_request2893
2017-07-24 17:07:20Mariattasetnosy: + Mariatta
messages: + msg298995
2017-07-24 17:02:12serhiy.storchakasetnosy: + serhiy.storchaka

messages: + msg298993
versions: - Python 3.5, Python 3.6, Python 3.7
2017-07-24 16:58:04Mariattasetstage: needs patch -> patch review
versions: + Python 3.5, Python 3.6, Python 3.7
2017-07-24 16:36:47adityahasesetnosy: + adityahase
messages: + msg298991
2017-07-24 16:32:07adityahasesetpull_requests: + pull_request2891
2017-05-27 02:51:43martin.pantersetmessages: + msg294576
2017-05-24 20:04:05Sourav Singhsetnosy: + Sourav Singh
messages: + msg294387
2017-05-08 08:50:09martin.pantercreate